<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>NOTAS ALUMNOS</title>
    <script defer src="notas.js"></script>
    <link rel="stylesheet" href="notas.css" />
  </head>
  <body>
    <div id="app">
      <h1>Tabla de Alumnos</h1>
      <table>
        <thead>
          <tr>
            <th>Nombre</th>
            <th>Apellido</th>
            <th>Grupo</th>
            <th>Notas</th>
            <th>Media</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="alumno in alumnos" :key="alumno.id">
            <td>{{ alumno.nombre }}</td>
            <td>{{ alumno.apellido }}</td>
            <td>{{ alumno.grupo }}</td>
            <td>
              <span v-for="nota in alumno.notas" :key="nota">{{ nota }} </span>
            </td>
            <td>{{ alumno.media }}</td>
          </tr>
        </tbody>
      </table>
      <button @click="calcularMedias">Calcular Medias</button>
    </div>
    <script src="https://unpkg.com/vue@next"></script>
    <script>
      const app = Vue.createApp({
        data() {
          return {
            alumnos: [
              {
                id: 1,
                nombre: "Juan",
                apellido: "Pérez",
                grupo: "A",
                notas: [9, 8, 7, 8, 10],
                media: "-",
              },
              {
                id: 2,
                nombre: "María",
                apellido: "Gómez",
                grupo: "B",
                notas: [8, 7, 9, 8, 8],
                media: "-",
              },
              {
                id: 3,
                nombre: "Carlos",
                apellido: "López",
                grupo: "A",
                notas: [7, 6, 8, 9, 7],
                media: "-",
              },
              {
                id: 4,
                nombre: "Laura",
                apellido: "Fernández",
                grupo: "B",
                notas: [8, 9, 7, 8, 9],
                media: "-",
              },
            ],
          };
        },
        methods: {
          calcularMedias() {
            this.alumnos.forEach((alumno) => {
              let sum = alumno.notas.reduce((total, nota) => total + nota, 0);
              alumno.media = (sum / alumno.notas.length).toFixed(2);
            });
          },
        },
      });
      app.mount("#app");
    </script>
  </body>
</html>
